qterm(8B)

NAME
qterm - terminate processing by a PBS batch server

SYNOPSIS
qterm [-t type] [server...]

DESCRIPTION
The qterm command terminates a PBS batch server. When a server receives a terminate command, the server will go into a terminating state. While in this state, the server will not allow new jobs to be started or enqueued. By default, qterm will request a "quick" shutdown of the PBS server. Other ways of shutting down the server (specified with the -t argument), and their impact on running jobs, are described below. The qterm command will not exit until the server has completed its shutdown procedure.

In order to execute qterm, the user must have PBS Operation or Manager privilege.

OPTIONS

-t type
    Specifies the type of shut down. The types are:

    immediate
        All running jobs are to immediately stop execution.

        If checkpoint is supported, running jobs that were submitted with "-c shutdown" are checkpointed, terminated, and requeued. If checkpoint is not supported or the job cannot be checkpointed, running jobs are requeued if the attribute is true. Otherwise, jobs are killed.

        Normally the server will not shutdown until there are no jobs in the running state. If the server is unable to contact the MOM of running job, the job is still listed as running. The server may be forced down by a second qterm -t immediate command.

    delay
        If checkpoint is supported, running jobs that were submitted with "-c shutdown" are checkpointed, terminated, and requeued. If a job cannot be checkpointed, but can be rerun, the job is terminated and requeued. Otherwise, running jobs are allowed to continue to run. Note, the operator or administrator may use the qrerun and qdel commands to remove running jobs.

    quick
        This option is used when you wish that running jobs be left running when the server shuts down. The server will cleanly shutdown and can be restarted when desired. Upon restart of the server, jobs that continue to run are shown as running; jobs that terminated during the server's absence will be placed into the exiting state.

OPERANDS
The operand specifies which servers are to shutdown. If no servers are given, then the default server will be terminated.

STANDARD ERROR
The qterm command will write a diagnostic message to standard error for each error occurrence.

EXIT STATUS
Upon successful processing of all the operands presented to the qterm command, the exit status will be a value of zero.

If the qterm command fails to process any operand, the command exits with a value greater than zero.

SEE ALSO
pbs_server(8B), qmgr(1B), pbs_resources_aix4(7B), pbs_resources_irix5(7B), pbs_resources_sp2(7B), pbs_resources_sunos4(7B), and pbs_resources_unicos8(7B)